#include <DS1307.h>
#define r1 8 // Init pin of relay
#define r2 9 // Init pin of relay

// Init the DS1307
DS1307 rtc(SDA, SCL);    // Use I2C comunication

void setup()
{
 Serial.begin(115200);  // Init serial Port
  rtc.begin();          // Begin the RTC
  rtc.halt(false);
  
  // The following lines can be uncommented to set the time
  //rtc.setDOW(FRIDAY);        // Set Day-of-Week to SUNDAY
  //rtc.setTime(20, 59, 57);     // Set the time to 12:00:00 (24hr format)
  //rtc.setDate(1, 1, 2016);   // Set the date to October 3th, 2010
  
  pinMode(r1, OUTPUT); // First relay
  pinMode(r2, OUTPUT); // Second Relay
  digitalWrite(r1,HIGH); // Desactivate by default
  digitalWrite(r2,HIGH); // Desactivate by default
}

void loop()
{
  Serial.println(rtc.getTimeStr()); // Open command console for debug RTC

  // Get the time for compare to programmable water time
    String heurecomplete = rtc.getTimeStr();
    String h = heurecomplete.substring(0,2);
    String m = heurecomplete.substring(3,5);
    String s = heurecomplete.substring(6,8);

  //Set the water time at 08:00:00 at the morning, for add more water times, keep the same syntax like this
    String harro = String("08");
    String marro = String("00");
    String sarro = String("00");

  // My conditions of watering, you could add others conditions with the same syntaxe
  // Conditions could be multiple and like that: luminosity, temperature, humidity, pressure, time
  if (h == harro && m == marro && s == sarro ) 
  {
    // For calculate the delay needed, see how your pump could do
    // 60 second for me pump 2.25L of water
    // A tomatoe plant request normally 1L by day
    // 30 second by plant use 1.15L x 7 = 8L (1.15L for a plant)
    // I watering 25 seconds for first plant and 35 seconds for the second
    
       digitalWrite(r1,LOW);  // Activate relay, use LOW for LOW LEVEL relay
       digitalWrite(r2,LOW);  // Activate relay, use LOW for LOW LEVEL relay
       delay(25000);          // Define the delay of activation of water pump
       digitalWrite(r1,HIGH); // Desactivate
       delay(10000);          // Add more time for bigger plant
       digitalWrite(r2,HIGH); // Desactivate
    }      
    delay(500); // Refresh the loop every 0.5 second only when pump doesn't work
}
